<?php defined('SYSPATH') or die('No direct access allowed.');

/**
 * OSB Main home page
 *
 * @package    OSB
 * @subpackage Page/Home
 * @category   Controllers
 * @author     Deon George
 * @copyright  (c) 2010 Deon George
 * @license    http://dev.leenooks.net/license.html
 */
class Controller_Welcome extends Controller_TemplateDefault {
	protected $auth_required = FALSE;

	public function action_index() {
		if (! Kohana::$config->load('config')->appname)
			HTTP::redirect('guide/app');

		// @todo This should be in the DB or something.
		HTTP::redirect('product/categorys');
	}

	public function action_breadcrumb() {
		$this->auto_render = FALSE;

		$this->response->body(Session::instance()->get_once('breadcrumb'));
	}
}
?>
